﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RDH.Data.Models
{
    public enum TransactionTypeCodes
    {
        None,
        /// <summary>
        /// 药箱自动盘点
        /// </summary>
        MedicalKitAutoCheck,
        /// <summary>
        /// 补入药箱
        /// </summary>
        SupplyMedicalKit,
        /// <summary>
        /// 更新药箱
        /// </summary>
        UpdateMedicalKit,
        /// <summary>
        /// 下架药箱
        /// </summary>
        RemoveMedicalKit,
        /// <summary>
        /// 取用药箱
        /// </summary>
        TakeMedicalKit,
        /// <summary>
        /// 归还药箱
        /// </summary>
        ReturnMedicalKit,
        /// <summary>
        /// 归还肌松药
        /// </summary>
        ReturnMuscleRelaxant,
        /// <summary>
        /// 补入肌松药
        /// </summary>
        SupplyMuscleRelaxant,
        /// <summary>
        /// 取用肌松药
        /// </summary>
        TakeMuscleRelaxant,
        TempOut,
        /// <summary>
        /// 三级库计划出库
        /// </summary>
        PlanOut,
        /// <summary>
        ///手术缺药出库
        /// </summary>
        OperationLackOut,
        /// <summary>
        /// 入库分配
        /// </summary>
        AllocationAssign,
        /// <summary>
        /// 入库修改
        /// </summary>
        AllocationUpdate,
        /// <summary>
        /// 差值报废
        /// </summary>
        DifferentBreakage,
        /// <summary>
        /// 差值退库
        /// </summary>
        DiferentReturn,
        /// <summary>
        /// 药箱补药计划
        /// </summary>
        MedKitSupplyPlan
    }
}
