﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RDH.Data
{

    public abstract class TypeMapperBase
    {
        public string MethodName { get; set; }
        public DbType DbType { get; set; }
        public abstract object DeMapHander(object obj);
        public Type ProviderType { get; set; }
    }
    public class TypeMapper<T> : TypeMapperBase
    {

        public override object DeMapHander(object obj)
        {
            return DeMapHanderR(obj);
        }
        public Func<object, T> DeMapHanderR { get; set; }

    }
}
