﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rdh.SocketServer.Client.Models
{
    public class EleMedKitCommand
    {
        /// <summary>
        /// 药箱定位上传
        /// </summary>
        public const string RequestLocation = "0A";
        /// <summary>
        /// 药箱查询手术信息
        /// </summary>
        public const string RequestPatientOperation = "0B";
        /// <summary>
        /// 药箱上传手术用药信息
        /// </summary>
        public const string RequestPatientOperationUsage = "0C";
        /// <summary>
        /// 药箱呼叫机器人
        /// </summary>
        public const string RequestRobot = "0D";
        /// <summary>
        /// 药箱请求归还
        /// </summary>
        public const string RequestReturnMedKit = "0E";
        /// <summary>
        /// 药箱上传补药信息
        /// </summary>
        public const string RequestSupplyList = "0F";
        /// <summary>
        /// 药箱查询借药信息
        /// </summary>
        public const string RequestDrugLend = "0G";
        /// <summary>
        /// 药箱开始手术取药
        /// </summary>
        public const string RequestStartPatientOperation = "0H";
        /// <summary>
        /// 药箱同步时钟
        /// </summary>
        public const string RequestClock = "TT";

        public const string ResponseLocation = "0A";
        public const string ResponsePatientOperation = "0B";
        public const string ResponsePatientOperationUsage = "0C";
        public const string ResponseRobot = "0D";
        public const string ResponseReturnMedKit = "0E";
        public const string ResponseSupplyList = "0F";
        public const string ResponseDrugLend = "0G";
        public const string RepsonseClock = "TT";
    }
}
