﻿using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rdh.SocketServer.Client.Models
{
    /// <summary>
    /// 表示回传借药信息的数据协议的类
    /// </summary>
    public class ResponseLendDrugProtocol : EleMedKitProtocol
    {
        public ResponseLendDrugProtocol()
        {
            this.Command = EleMedKitCommand.ResponseDrugLend;
            CountFlag = 1.ToString();
        }
        public List<SimpleDrugLotProtocol>? ListLendResult { get; set; }
        public string LineEnd { get => EleMedKitProtocolFlags.LineSpiltor; }
        public override string GetContent()
        {
            return base.GetContent()
                + AddList<SimpleDrugLotProtocol>(ListLendResult)
                + AddLineContent(LineEnd)
                + AddLineContent(CountFlag);
        }
    }
}
