﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rdh.SocketServer.Client.Models
{
    public class ResponsePatientOperationProtocol : EleMedKitProtocol
    {
        public ResponsePatientOperationProtocol()
        {
            this.Command = EleMedKitCommand.ResponsePatientOperation;
            CountFlag = 1.ToString();
        }
        public List<PatientOperationProtocol>? ListOperations { get; set; }
        public string ListEnd { get => EleMedKitProtocolFlags.LineSpiltor; }
        public override string GetContent()
        {
            return base.GetContent()
                + AddList<PatientOperationProtocol>(ListOperations)
                + AddLineContent(ListEnd)
                + AddLineContent(CountFlag);
        }
    }
}
