﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rdh.SocketServer.Client.Models
{
    /// <summary>
    /// 表示药品和批号信息的协议的类
    /// </summary>
    public class SimpleDrugLotProtocol : ModelProtocol
    {
        public string? Barcode { get; set; }
        public string? DrugKey { get; set; }
        public string? DrugLotCode { get; set; }
        public override string GetContent()
        {
            return Barcode
                + AddBlockContent(DrugKey)
                + AddBlockContent(DrugLotCode);
        }
    }
}
