﻿using Prism.Mvvm;
using PropertyChanged;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rdh.SocketServer.Client.ViewModels
{
    [AddINotifyPropertyChangedInterface]
    public class TimeFlagModel<T> : BindableBase
    {
        public TimeFlagModel() 
        {
            CreateTime = DateTime.Now;
        }
        public TimeFlagModel(T t) :this()
        {
            Model = t;
        }
        public T Model { get; set; }
        public DateTime CreateTime { get; set; }
    }
}
