﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace RDH.Data.Models
{
    [Serializable]
    [DataContract]
    public partial class SPILItemTransaction : BaseModel//IModel , INotifyPropertyChanged
    {
        private Guid _key;
        private Guid _itemtransactionkey;
        private Guid _storagespaceitemlotkey;
        private Guid _ssilotsnapshotkey;
        private Decimal? _quantity;
        private Guid? _createby;
        private bool? _flag;
        private DateTime? _clienttime;
        private DateTime? _servertime;
        private string _ext01;
        private string _ext02;
        private string _ext03;
        private string _ext04;
        private string _ext05;
        private string _ext06;
        private string _ext07;
        private string _ext08;
        private string _ext09;
        private string _ext10;
        private Guid? _devicekey;
        private Decimal? _pocketholes;
        private Guid? _itemlotkey;
        private ItemTransaction _itemtransaction;
        private StorageSpaceItemLot _storagespaceitemlot;

        #region Public Properties

        [DataMember]
        public virtual Guid Key
        {
            get { return _key; }
            set
            {
                _key = value;
                OnPropertyChanged("Key");
            }
        }
        [DataMember]
        public virtual Guid ItemTransactionKey
        {
            get { return _itemtransactionkey; }
            set
            {
                _itemtransactionkey = value;
                OnPropertyChanged("ItemTransactionKey");
            }
        }
        [DataMember]
        public virtual Guid StorageSpaceItemLotKey
        {
            get { return _storagespaceitemlotkey; }
            set
            {
                _storagespaceitemlotkey = value;
                OnPropertyChanged("StorageSpaceItemLotKey");
            }
        }
        [DataMember]
        public virtual Guid SSILotSnapshotKey
        {
            get { return _ssilotsnapshotkey; }
            set
            {
                _ssilotsnapshotkey = value;
                OnPropertyChanged("SSILotSnapshotKey");
            }
        }
        [DataMember]
        public virtual Decimal? Quantity
        {
            get { return _quantity; }
            set
            {
                _quantity = value;
                OnPropertyChanged("Quantity");
            }
        }
        [DataMember]
        public virtual Guid? CreateBy
        {
            get { return _createby; }
            set
            {
                _createby = value;
                OnPropertyChanged("CreateBy");
            }
        }
        [DataMember]
        public virtual bool? Flag
        {
            get { return _flag; }
            set
            {
                _flag = value;
                OnPropertyChanged("Flag");
            }
        }
        [DataMember]
        public virtual DateTime? ClientTime
        {
            get { return _clienttime; }
            set
            {
                _clienttime = value;
                OnPropertyChanged("ClientTime");
            }
        }
        [DataMember]
        public virtual DateTime? ServerTime
        {
            get { return _servertime; }
            set
            {
                _servertime = value;
                OnPropertyChanged("ServerTime");
            }
        }
        [DataMember]
        public virtual string Ext01
        {
            get { return _ext01; }
            set
            {
                _ext01 = value;
                OnPropertyChanged("Ext01");
            }
        }
        [DataMember]
        public virtual string Ext02
        {
            get { return _ext02; }
            set
            {
                _ext02 = value;
                OnPropertyChanged("Ext02");
            }
        }
        [DataMember]
        public virtual string Ext03
        {
            get { return _ext03; }
            set
            {
                _ext03 = value;
                OnPropertyChanged("Ext03");
            }
        }
        [DataMember]
        public virtual string Ext04
        {
            get { return _ext04; }
            set
            {
                _ext04 = value;
                OnPropertyChanged("Ext04");
            }
        }
        [DataMember]
        public virtual string Ext05
        {
            get { return _ext05; }
            set
            {
                _ext05 = value;
                OnPropertyChanged("Ext05");
            }
        }
        [DataMember]
        public virtual string Ext06
        {
            get { return _ext06; }
            set
            {
                _ext06 = value;
                OnPropertyChanged("Ext06");
            }
        }
        [DataMember]
        public virtual string Ext07
        {
            get { return _ext07; }
            set
            {
                _ext07 = value;
                OnPropertyChanged("Ext07");
            }
        }
        [DataMember]
        public virtual string Ext08
        {
            get { return _ext08; }
            set
            {
                _ext08 = value;
                OnPropertyChanged("Ext08");
            }
        }
        [DataMember]
        public virtual string Ext09
        {
            get { return _ext09; }
            set
            {
                _ext09 = value;
                OnPropertyChanged("Ext09");
            }
        }
        [DataMember]
        public virtual string Ext10
        {
            get { return _ext10; }
            set
            {
                _ext10 = value;
                OnPropertyChanged("Ext10");
            }
        }
        [DataMember]
        public virtual Guid? DeviceKey
        {
            get { return _devicekey; }
            set
            {
                _devicekey = value;
                OnPropertyChanged("DeviceKey");
            }
        }
        [DataMember]
        public virtual Decimal? PocketHoles
        {
            get { return _pocketholes; }
            set
            {
                _pocketholes = value;
                OnPropertyChanged("PocketHoles");
            }
        }
        [DataMember]
        public virtual Guid? ItemLotKey
        {
            get { return _itemlotkey; }
            set
            {
                _itemlotkey = value;
                OnPropertyChanged("ItemLotKey");
            }
        }
        [DataMember]
        public ItemTransaction ItemTransaction
        {
            get { return _itemtransaction; }
            set
            {
                _itemtransaction = value;
                OnPropertyChanged("ItemTransaction");
            }
        }
        [DataMember]
        public StorageSpaceItemLot StorageSpaceItemLot
        {
            get { return _storagespaceitemlot; }
            set
            {
                _storagespaceitemlot = value;
                OnPropertyChanged("StorageSpaceItemLot");
            }
        }
        public ItemLot ItemLotInfo { get; set; }
        #endregion
    }
}
