using System.Collections.Generic;

namespace Rdh.ElectronicMedicineKit.Models
{
    public class MedicineKit : RootEntity
    {
        public string Code { get; set; }
        public MedicineKitTypes KitType { get; set; } = MedicineKitTypes.;

        public virtual List<MedicineKitLocation> Locations { get; set; } = new List<MedicineKitLocation>();
        public virtual List<MedicineKitStock> Stocks { get; set; } = new List<MedicineKitStock>();
    }
}