using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace Rdh.ElectronicMedicineKit.Models
{
    public class Patient : RootEntity
    {
        public string Name { get; set; }
        public string PatientNo { get; set; }
        public Genders Gender { get; set; } = Genders.;
        public DateTime BirthDay { get; set; }
        [NotMapped]
        public int Age { get => DateTime.Now.Year - BirthDay.Year; }
    } 
}