﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rdh.SocketServer.Client.Models
{
    /// <summary>
    /// 表示药品使用情况的代码
    /// </summary>
    public struct DrugUsageCodes
    {
        /// <summary>
        /// 未使用
        /// </summary>
        public const string None = "1";
        /// <summary>
        /// 已使用
        /// </summary>
        public const string Used = "2";
        /// <summary>
        /// 缺失
        /// </summary>
        public const string Lost = "3";
        public const string LastUsed = "4";
    }
}
