﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rdh.SocketServer.Client.Models
{
    /// <summary>
    /// 表示药箱类型代码的结构
    /// </summary>
    public struct MedKitTypeCodes
    {
        /// <summary>
        /// 体外
        /// </summary>
        public const string Extracorporal = "A";
        /// <summary>
        /// 常规
        /// </summary>
        public const string General = "B";
        /// <summary>
        /// 无痛人流
        /// </summary>
        public const string Abortion = "C";
        /// <summary>
        /// 无痛分娩
        /// </summary>
        public const string Parturition = "D";
    }
}
