﻿using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Rdh.SocketServer.Client.Models
{
    public class ResponseSupplyDrugProtocol : EleMedKitProtocol
    {
        public ResponseSupplyDrugProtocol()
        {
            this.Command = EleMedKitCommand.ResponseSupplyList;
            CountFlag = 1.ToString();
        }
        public UserInfoProtocol? UserInfo { get; set; }
        public String? MedKitTypeCode 
        {
            get;
            set;
        }
        public List<DrugLotProtocol>? ListSupplyResult { get; set; }
        public string LineEnd { get => EleMedKitProtocolFlags.LineSpiltor; }
        public override string GetContent()
        {
            return base.GetContent()
                + AddLineContent(MedKitTypeCode)
                + AddList<DrugLotProtocol>(ListSupplyResult)
                + AddLineContent(LineEnd)
                + AddLineContent(CountFlag);
        }
    }
}
