﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TouchSocket.Sockets;

namespace Rdh.SocketServer.Client.Models
{
    public class EleMedKitServerAdapter : CustomBetweenAndDataHandlingAdapter<EleMedKitData>
    {
        public EleMedKitServerAdapter() 
        {
            MinSize = 10;
            CacheTimeoutEnable = false;
        }
        public override byte[] StartCode => EleMedKitData.HeadBytes;

        public override byte[] EndCode => EleMedKitData.TailBytes;

        protected override EleMedKitData GetInstance()
        {
            return new EleMedKitData();
        }
    }
}
